summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2022-09-20 14:22:52 +0200
committerRemi Collet <remi@php.net>2022-09-20 14:22:52 +0200
commitf06a1af097f6b49dba2c617d5d3378acfa6af24c (patch)
tree4220cf3353e38b63c23b59eb09b6623d9b162ccb
parent4992ba0ffbd99d4bc8a705014905316cddd48869 (diff)
update to 2.12.0HEADmaster
raise dependency on PHP 7.4 raise dependency on laminas-stdlib 3.13.0
-rw-r--r--composer.json28
-rw-r--r--php-laminas-authentication.spec49
2 files changed, 42 insertions, 35 deletions
diff --git a/composer.json b/composer.json
index 6e5efc3..40a1fae 100644
--- a/composer.json
+++ b/composer.json
@@ -21,26 +21,26 @@
},
"sort-packages": true,
"platform": {
- "php": "7.3.99"
+ "php": "7.4.99"
}
},
"require": {
- "php": "^7.3 || ~8.0.0 || ~8.1.0",
- "laminas/laminas-stdlib": "^3.2.1"
+ "php": "^7.4 || ~8.0.0 || ~8.1.0",
+ "laminas/laminas-stdlib": "^3.6.0"
},
"require-dev": {
- "laminas/laminas-coding-standard": "~2.3.0",
- "laminas/laminas-crypt": "^2.6 || ^3.2.1",
- "laminas/laminas-db": "^2.13",
+ "laminas/laminas-coding-standard": "~2.4.0",
+ "laminas/laminas-crypt": "^2.6.0 || ^3.2.1",
+ "laminas/laminas-db": "^2.13.0",
"laminas/laminas-http": "^2.15.0",
- "laminas/laminas-ldap": "^2.12",
- "laminas/laminas-session": "^2.12",
- "laminas/laminas-uri": "^2.5.2",
- "laminas/laminas-validator": "^2.10.1",
- "phpunit/phpunit": "^9.3",
+ "laminas/laminas-ldap": "^2.12.0",
+ "laminas/laminas-session": "^2.12.0",
+ "laminas/laminas-uri": "^2.9.1",
+ "laminas/laminas-validator": "^2.15.0",
+ "phpunit/phpunit": "^9.3.4",
"psalm/plugin-phpunit": "^0.15.1",
- "squizlabs/php_codesniffer": "^2.9.2 || ^3.6",
- "vimeo/psalm": "^4.6"
+ "squizlabs/php_codesniffer": "^3.6.0",
+ "vimeo/psalm": "^4.6.0"
},
"suggest": {
"laminas/laminas-crypt": "Laminas\\Crypt component",
@@ -64,10 +64,12 @@
"scripts": {
"check": [
"@cs-check",
+ "@static-analysis",
"@test"
],
"cs-check": "phpcs",
"cs-fix": "phpcbf",
+ "static-analysis": "psalm",
"test": "phpunit --colors=always",
"test-coverage": "phpunit --colors=always --coverage-clover clover.xml"
},
diff --git a/php-laminas-authentication.spec b/php-laminas-authentication.spec
index 92cc2df..02277ba 100644
--- a/php-laminas-authentication.spec
+++ b/php-laminas-authentication.spec
@@ -7,7 +7,7 @@
# Please, preserve the changelog entries
#
%global bootstrap 0
-%global gh_commit 51815691d862b82b749a4aa9c4f6ec078d579f74
+%global gh_commit ecb59c6d7f7d0ed39790264ca16a94636cac98ae
%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner laminas
%global gh_project laminas-authentication
@@ -22,8 +22,8 @@
%endif
Name: php-%{gh_project}
-Version: 2.11.0
-Release: 2%{?dist}
+Version: 2.12.0
+Release: 1%{?dist}
Summary: %{namespace} Framework %{library} component
License: BSD
@@ -34,7 +34,7 @@ Source1: makesrc.sh
BuildArch: noarch
# Tests
%if %{with_tests}
-BuildRequires: php(language) >= 7.3
+BuildRequires: php(language) >= 7.4
BuildRequires: php-ctype
BuildRequires: php-date
BuildRequires: php-hash
@@ -42,29 +42,29 @@ BuildRequires: php-pcre
BuildRequires: php-spl
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-stdlib) >= 3.2.1 with php-autoloader(%{gh_owner}/laminas-stdlib) < 4)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-stdlib) >= 3.6 with php-autoloader(%{gh_owner}/laminas-stdlib) < 4)
BuildRequires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.0 with php-autoloader(%{gh_owner}/laminas-zendframework-bridge) < 2)
BuildRequires: (php-autoloader(%{gh_owner}/laminas-servicemanager) >= 3.12 with php-autoloader(%{gh_owner}/laminas-servicemanager) < 4)
# From composer, "require-dev": {
-# "laminas/laminas-coding-standard": "~2.3.0",
-# "laminas/laminas-crypt": "^2.6 || ^3.2.1",
-# "laminas/laminas-db": "^2.13",
+# "laminas/laminas-coding-standard": "~2.4.0",
+# "laminas/laminas-crypt": "^2.6.0 || ^3.2.1",
+# "laminas/laminas-db": "^2.13.0",
# "laminas/laminas-http": "^2.15",
-# "laminas/laminas-ldap": "^2.12",
-# "laminas/laminas-session": "^2.12",
-# "laminas/laminas-uri": "^2.5.2",
-# "laminas/laminas-validator": "^2.10.1",
-# "phpunit/phpunit": "^9.3",
+# "laminas/laminas-ldap": "^2.12.0",
+# "laminas/laminas-session": "^2.12.0",
+# "laminas/laminas-uri": "^2.9.1",
+# "laminas/laminas-validator": "^2.15.0",
+# "phpunit/phpunit": "^9.3.4",
# "psalm/plugin-phpunit": "^0.15.1",
-# "squizlabs/php_codesniffer": "^2.9.2 || ^3.6",
-# "vimeo/psalm": "^4.6"
+# "squizlabs/php_codesniffer": "^3.6.0",
+# "vimeo/psalm": "^4.6.0"
BuildRequires: (php-autoloader(%{gh_owner}/laminas-crypt) >= 3.2.1 with php-autoloader(%{gh_owner}/laminas-crypt) < 4)
BuildRequires: (php-autoloader(%{gh_owner}/laminas-db) >= 2.13 with php-autoloader(%{gh_owner}/laminas-db) < 3)
BuildRequires: (php-autoloader(%{gh_owner}/laminas-http) >= 2.15 with php-autoloader(%{gh_owner}/laminas-http) < 3)
BuildRequires: (php-autoloader(%{gh_owner}/laminas-ldap) >= 2.12 with php-autoloader(%{gh_owner}/laminas-ldap) < 3)
BuildRequires: (php-autoloader(%{gh_owner}/laminas-session) >= 2.12 with php-autoloader(%{gh_owner}/laminas-session) < 3)
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-uri) >= 2.5.2 with php-autoloader(%{gh_owner}/laminas-uri) < 3)
-BuildRequires: (php-autoloader(%{gh_owner}/laminas-validator) >= 2.10.1 with php-autoloader(%{gh_owner}/laminas-validator) < 3)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-uri) >= 2.9.1 with php-autoloader(%{gh_owner}/laminas-uri) < 3)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-validator) >= 2.15.0 with php-autoloader(%{gh_owner}/laminas-validator) < 3)
# remirepo:12
%else
BuildRequires: php-laminas-stdlib
@@ -85,14 +85,14 @@ BuildRequires: phpunit9 >= 9.3
BuildRequires: php-fedora-autoloader-devel
# From composer, "require": {
-# "php": "^7.3 || ~8.0.0 || ~8.1.0",
-# "laminas/laminas-stdlib": "^3.2.1"
-Requires: php(language) >= 7.3
+# "php": "^7.4 || ~8.0.0 || ~8.1.0",
+# "laminas/laminas-stdlib": "^3.6.0"
+Requires: php(language) >= 7.4
%if ! %{bootstrap}
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
-Requires: (php-autoloader(%{gh_owner}/laminas-stdlib) >= 3.2.1 with php-autoloader(%{gh_owner}/laminas-stdlib) < 4)
-Requires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.0 with php-autoloader(%{gh_owner}/laminas-zendframework-bridge) < 2)
+Requires: (php-autoloader(%{gh_owner}/laminas-stdlib) >= 3.6 with php-autoloader(%{gh_owner}/laminas-stdlib) < 4)
+Requires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.0 with php-autoloader(%{gh_owner}/laminas-zendframework-bridge) < 2)
Requires: (php-autoloader(%{gh_owner}/laminas-servicemanager) >= 3.12 with php-autoloader(%{gh_owner}/laminas-servicemanager) < 4)
# From composer, "suggest": {
# "laminas/laminas-crypt": "Laminas\\Crypt component",
@@ -230,6 +230,11 @@ exit $ret
%changelog
+* Tue Sep 20 2022 Remi Collet <remi@remirepo.net> - 2.12.0-1
+- update to 2.12.0
+- raise dependency on PHP 7.4
+- raise dependency on laminas-stdlib 3.13.0
+
* Thu Jun 23 2022 Remi Collet <remi@remirepo.net> - 2.11.0-2
- add dependency on laminas-servicemanager to workaround
issue with old psr/container